import { Plugin } from 'rollup';

declare type ExtensionLanguageMap = Record<string, string>;
declare type Options = {
    theme?: string;
    extensionLanguageMap: ExtensionLanguageMap;
};
declare type VitePlugin = Plugin & {
    enforce?: string;
};
declare function syntaxHighlight(options?: Options): VitePlugin;

export { ExtensionLanguageMap, Options, syntaxHighlight };
